> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-fairbid/sdk-bidding.md).

# SDK Bidding

SDK Bidding enables Ad Networks to participate in the DT FairBid unified auction. The DT FairBid SDK, a proprietary DT technology, allows mediated networks to participate in a fair, real-time fair bidding marketplace that determines the winner of an impression. This process preserves the mediated network's SDK on the client side, which acts as a display manager to render the winning ads. In addition, mediated networks maintain a direct contractual relationship with their publisher partners. For more information, see [Getting Started with DT FairBid](/dt-fairbid/getting-started-with-dt-fairbid.md).

## The Benefits <a href="#h_01j17m2p2dky947q93ds2r58ff" id="h_01j17m2p2dky947q93ds2r58ff"></a>

For publishers, SDK Bidding provides several significant benefits:

* Committed bids from ad networks reflect the true value of each impression, which eliminates the reliance on aggregated historical averages used in the waterfall setup to estimate each ad network's performance.
* Increased demand liquidity for each impression, as ad networks compete in real-time for each ad request alongside other programmatic buyers such as Demand Side Platforms and Trading Desks.

As more ad networks support SDK Bidding, publishers no longer need to manually manage these ad networks through a complex waterfall setup of multiple instances across various ad formats and geographies, saving time and resources.

## How Does it Work? <a href="#h_01j17m2p2dq9q3bfegw9mvqg3q" id="h_01j17m2p2dq9q3bfegw9mvqg3q"></a>

Ad Networks supporting SDK Bidding receive every ad request, to which they can respond with a dynamic, committed bid. This ensures that the SDK integration and direct billing relationship remain with the publisher, which avoids the need for the waterfall process of receiving bids.

After an ad request is received from an integrated app, the DT FairBid platform automatically evaluates the CPM responses from all of the participating ad mediation networks and selects the highest bid.

## SDK Bidding Setup <a href="#h_01jc27a60g5z776shvtb6yc4hz" id="h_01jc27a60g5z776shvtb6yc4hz"></a>

Other than integrating the DT FairBid SDK, no additional development work is required from the publisher to support SDK Bidding. Digital Turbine and participating ad networks manage the technical implementation. In the DT Console, [add your app](/dt-fairbid/getting-started-with-dt-fairbid/setting-up-your-app-in-the-dt-console.md#h_01jgn93gjez2wz2wbeq05j8g93), [create placements](/dt-fairbid/getting-started-with-dt-fairbid/setting-up-your-app-in-the-dt-console.md#h_01jgn93gjet34twjgf2pda1h00) for bidding, and then [add the bidder network](/dt-fairbid/getting-started-with-dt-fairbid/setting-up-your-app-in-the-dt-console.md#h_01jgn93gje60qc8q93ck0c6x2a) to your app.

Each network has its own process for allowing an app and configuring placements for SDK Bidding. For more information about configuring your network placements for SDK Bidding, see the respective Network Integration Guides for the following networks:

{% content-ref url="/pages/58b01081a9e3ca61d7093b4dc4dbf3a58676a47b" %}
[Bigo Ads](/dt-fairbid/fairbid-sdk/supported-networks/network-integration-guides/bigo-ads.md)
{% endcontent-ref %}

{% content-ref url="/pages/d5b2840fd871d429973fcfe3df22c1adc7469fb8" %}
[AdMob/Google Bidding](/dt-fairbid/fairbid-sdk/supported-networks/network-integration-guides/admob-google-bidding.md)
{% endcontent-ref %}

{% content-ref url="/pages/3b520d7d97102b713650bb4acd1f78ffed341607" %}
[InMobi](/dt-fairbid/fairbid-sdk/supported-networks/network-integration-guides/inmobi.md)
{% endcontent-ref %}

{% content-ref url="/pages/ec18e0fca35649365f3023dc36762294fe5d45f8" %}
[Liftoff Monetize](/dt-fairbid/fairbid-sdk/supported-networks/network-integration-guides/liftoff-monetize.md)
{% endcontent-ref %}

{% content-ref url="/pages/e1216d9ee00ccb1da814097108707b6897b584a3" %}
[Meta Audience Network](/dt-fairbid/fairbid-sdk/supported-networks/network-integration-guides/meta-audience-network.md)
{% endcontent-ref %}

{% content-ref url="/pages/6e466f440f760b2c92453e00542723670b64e9c4" %}
[Mintegral](/dt-fairbid/fairbid-sdk/supported-networks/network-integration-guides/mintegral.md)
{% endcontent-ref %}

{% content-ref url="/pages/pjH7IjZPpobE0wS9XNOF" %}
[Ogury](/dt-fairbid/fairbid-sdk/supported-networks/network-integration-guides/ogury.md)
{% endcontent-ref %}

{% content-ref url="/pages/l3FB79olF3cw6NhkB9mX" %}
[Pangle](/dt-fairbid/fairbid-sdk/supported-networks/network-integration-guides/pangle.md)
{% endcontent-ref %}

{% content-ref url="/pages/s3RhsOayqgcrU595Nxk6" %}
[Verve Group](/dt-fairbid/fairbid-sdk/supported-networks/network-integration-guides/verve-group.md)
{% endcontent-ref %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-fairbid/sdk-bidding.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
